rDWS Control Endpoints
Base URL for these endpoints: https://ws.bsn.cloud/rest/v1/
_________________________________________________________________________
PUT /control/reboot/
Reboots the player. The player will not send a response to a reboot request.
Request Body
- crash_report bool: Setting to true reboots the player and save a crash-report file to the brightsign-dumps folder. You should use this only when directed by BrightSign customer service, which may need the crash report when helping you troubleshoot a player.
- factory_reset bool: Setting to true resets the player to the factory defaults, erasing all persistent registry settings for networking, security, and other applications.
- autorun string: Setting to disable disables the current autorun script (this is helpful for debugging).
Request Example (Simple Reboot)
This request has no body.
PUT /rest/v1/control/reboot/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonRequest Example (Crash Report)
PUT /rest/v1/control/reboot/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 56This is the example request body:
{
"data": {
"crash_report": true
}
}Request Example (Factory Reset)
PUT /rest/v1/control/reboot/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 57This is the example request body:
{
"data": {
"factory_reset": true
}
}Request Example (Disable Autorun)
PUT /rest/v1/control/reboot/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 56This is the example request body:
{
"data": {
"autorun": "disable"
}
}Response Body
The server will return a success or error message. A successful response will almost always cause a reboot which will be indicated in the response.
- result object: The response object
- success bool: Whether or not the operation was successful
- reboot bool: Whether or not the player is rebooting
Response Examples
Crash Report
{
"data": {
"result": {
"success": true,
"message": "A reboot has been initiated (with crash report)"
}
},
"route": "/v1/control/reboot",
"method": "PUT"
}Factory Reset
{
"data": {
"result": {
"success": true,
"message": "A reboot has been initiated (with factory reset)"
}
},
"route": "/v1/control/reboot",
"method": "PUT"
}Disable Autorun
{
"data": {
"result": {
"success": true,
"message": "A reboot has been initiated"
}
},
"route": "/v1/control/reboot",
"method": "PUT"
}GET /control/dws-password/
Retrieves information about the current password of the local DWS (but not the password itself) such as whether the password is blank or invalid
Request Example
GET /rest/v1/control/dws-password/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonResponse Body
- success bool: A flag indicating whether the password was successfully read
- password Password{ }: A Password object that describes the DWS password. The following are possible values:
- isResultValid bool: A flag indicating whether the DWS password is valid
- isBlank bool: A flag indicating whether the DWS password is blank (i.e. no password is required)
Response Example
{
"route": "/v1/control/dws-password",
"method": "GET",
"data": {
"result": {
"success": true,
"password": {
"isResultValid": true,
"isBlank": true
}
}
}
}PUT /control/dws-password/
Sets a new password for the local DWS (or removes the password requirement on older BOS versions).
Request Body
- password string: The new local DWS password for the player. As of BOS 9.0.128 and BOS 9.1.75, this API enforces strong password requirements, so passing in an empty string will cause an error. In older BOS versions, the absence of this parameter (or a blank string) removes the password requirement for the DWS.
- previous_password string: The previous DWS password. This parameter must be included. This value can be an empty string to indicate that the previous password was blank.
Request Example
PUT /rest/v1/control/dws-password/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 106This is the example request body:
{
"data": {
"password": "newpassword",
"previous_password": "oldpassword"
}
}Response Body
- success bool: A flag indicating whether the password was successfully set
- reboot bool: A flag indicating whether the player will reboot to set the password
Response Example
{
"data": {
"result": {
"success": true,
"reboot": false
}
},
"route": "/v1/control/dws-password",
"method": "PUT"
}
GET /control/local-dws/
Retrieves the current state of the local DWS
Request Example
GET /rest/v1/control/local-dws/?destinationType=player&destinationName=27D33C000051 HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonResponse Body
- success bool: A flag indicating whether the local DWS is enabled or disabled
Response Example
{
"route": "/v1/control/local-dws",
"method": "GET",
"data": {
"result": {
"success": true,
"value": true
}
}
}
PUT /control/local-dws/
Enables or disables the local DWS
Request Body
- enable bool: A flag indicating whether the local DWS should be enabled or disabled
Request Example
PUT /rest/v1/control/local-dws/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 50This is the example request body:
{
"data": {
"enable": true
}
}Response Body
- success bool: A flag indicating whether the local DWS was successfully enabled or disabled
- reboot bool: A flag indicating whether the player will reboot to enable/disable the local DWS
Response Example
{
"data": {
"result": {
"success": true,
"reboot": true
}
},
"route": "/v1/control/local-dws",
"method": "PUT"
}
PUT /control/ssh-host-keys/reset/
Resets the SSH host keys by regenerating new host key pairs. This is useful for security purposes or when host keys have been compromised. The system will automatically determine if a reboot is required, unless overriden by the reboot parameter.
Request Example
PUT /rest/v1/control/ssh-host-keys/reset/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 56Request Body
This is the optional example request body:
{
"data": {
"reboot": "true"
}
}Response Example
{
"data": {
"result": {
"success": true,
"value": true
}
}
}
PUT /control/dws-default-certs/reset/
Resets the DWS default certificates by regenerating new certificate pairs. This is useful for security purposes or when certificates have been compromised. The system will reboot to activate new certificates, unless overriden by the reboot parameter.
Request Example
PUT /rest/v1/control/dws-default-certs/reset/ HTTP/1.1
Host: {{playerIP}}
Authorization: {{DigestAuth}}
Accept: application/json
Content-Type: application/json
Content-Length: 56Request Body
This is the optional example request body:
{
"data": {
"reboot": "true"
}
}Response Example
{
"data": {
"result": {
"success": true,
"value": true
}
}
}